Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.cms.impl.jcr.command
Enum ACLEnforcer.Type

    java.lang.Object
      java.lang.Enum<ACLEnforcer.Type>
          org.jboss.portal.cms.impl.jcr.command.ACLEnforcer.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ACLEnforcer.Type>

Enclosing class:
  ACLEnforcer

    public static enum ACLEnforcer.Type

extends java.lang.Enum<ACLEnforcer.Type>

Enum Constant Summary
`MANAGE`
`READ`
`UNKNOWN`
`WRITE`

Method Summary
`static ACLEnforcer.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ACLEnforcer.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final ACLEnforcer.Type READ

### WRITE

    public static final ACLEnforcer.Type WRITE

### MANAGE

    public static final ACLEnforcer.Type MANAGE

### UNKNOWN

    public static final ACLEnforcer.Type UNKNOWN

Method Detail

### values

    public static final ACLEnforcer.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ACLEnforcer.Type c : ACLEnforcer.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ACLEnforcer.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.